package com.docus.server.collection.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @BelongsProject: docus_medicalrecord_starter
 * @BelongsPackage: com.docus.services.clinicqualitycontrol.dto
 * @Author: jiashi1
 * @CreateTime: 2023-02-14  14:56
 * @Description: TODO
 * @Version: 1.0
 */
@Data
@ApiModel("质控和退回推送dto")
public class BacklPushDto {

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "住院号(病案号)")
    private String inpatientNo;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "住院就诊流水号(记账号)")
    private String jzh;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "出院科室代码")
    private String disDept;

    @ApiModelProperty(value = "出院科室")
    private String disDeptName;

    @ApiModelProperty(value = "申请人工号")
    private String applyUserName;

    @ApiModelProperty(value = "申请人")
    private String applyName;

    @ApiModelProperty(value = "操作人工号")
    private String controlUserName;

    @ApiModelProperty(value = "操作人")
    private String controlName;

    @ApiModelProperty(value = "解档时间(召回审批时间开始)")
    private String auditTime;

    @ApiModelProperty(value = "解档天数(召回天数（默认7天）)")
    private String day;

    @ApiModelProperty(value = "解档\\归档状态( 未归档状态\\归档状态) ")
    private Integer isArchive;

    @ApiModelProperty(value = "解档\\归档文书类型( 召回修改分类对应的采集器id，逗号隔开的字符串)")
    private String collectIds;
}
