package com.docus.server.collection.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.server.collection.entity.CqcPushConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CqcPushConfigMapper extends BaseMapper<CqcPushConfig> {

    /**
     * @description 根据业务类型查询推送配置
     */
    List<CqcPushConfig> getCqcPushConfigByBusinessTypes(@Param("ids") List<Long> ids);


}
