package com.docus.server.collection.util;

import com.docus.server.collection.entity.TBasic;
import org.springframework.context.ApplicationEvent;

/**
 * @description 退回推送event
 * @author  chierhao
 * @date 2023-02-14 15:12
 */
public class BackPushEventEntity extends ApplicationEvent{
    private static final long serialVersionUID = 1L;

    private TBasic tBasic ;

    public BackPushEventEntity(Object source,  TBasic tBasic ) {
        super(source);
        this.tBasic = tBasic;
    }

    public TBasic getTBasic() {
        return tBasic;
    }

    public void setTBasic( TBasic tBasic ) {
        this.tBasic = tBasic;
    }
}
