package com.docus.server.report.api.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @BelongsProject: docus_medicalrecord_starter
 * @BelongsPackage: com.docus.services.clinicqualitycontrol.dto
 * @Author: jiashi
 * @CreateTime: 2023-08-21  09:07
 * @Description: TODO
 * @Version: 1.0
 */
@Data
@ApiModel("自动质控请求参数")
public class CqcAuditRequest {
    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "类型 1护士质控，2护士质控员质控")
    private String type;

    @ApiModelProperty(value = "操作人工号")
    private String userName;

    @ApiModelProperty(value = "操作人姓名")
    private String name;
}
