package com.docus.server.report.mapper;

import com.docus.server.report.entity.AfCollectTask;
import org.apache.ibatis.annotations.Param;

/**
 * 任务采集表mapper
 * @author wyb
 *
 */
public interface AfCollectTaskMapper {


    /**
     * 保存任务
     * @param afCollectTask 采集任务
     * @return 数据库操作结果
     */
    int saveTask(@Param("task") AfCollectTask afCollectTask);

    /**
     * 根据任务主键查询任务
     * @param taskId 任务主键
     * @return 任务信息
     */
    AfCollectTask getTaskById(@Param("id") Long taskId);

    /**
     * 更新新提交的任务的文件名和唯一号
     * @param id 任务id
     * @param fileName 文件名
     * @param serialnum 文件唯一
     * @return 数据库操作行
     */
    int updateNewSubmit(@Param("id") Long id,@Param("c2")  String fileName,@Param("c1")  String serialnum);
}
